前端更新node版本失败

使用更新命令:nvm install 18.19.0 更新指定的版本失败

报错分析:尝试从 npm.taobao.org 获取 Node.js 版本时,SSL/TLS 证书验证失败。这通常是因为该镜像站点的 SSL 证书已过期

解决:

  • 使用官方镜像:  nvm node_mirror https://nodejs.org/dist
  • 在尝试去: nvm install 18.19.0
  • 如果还为解决更新nvm到最新版本:  nvm install --latest-npm
  • 如果还是不行 直接去官方页面下载zip安装,下载完成之后执行 nvm install path/to/downloaded/nodejs.zip

补充:nvm 管理命令(管理多个node版本的工具)

# 安装 NVM(这里以14版本为例)
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.38.0/install.sh | bash

# 列出所有可用的 Node.js 版本
nvm ls-remote

# 安装特定版本的 Node.js
nvm install 14.17.0

# 使用特定版本的 Node.js
nvm use 14.17.0

# 查看已安装的 Node.js 版本
nvm ls

#删除你想删除node.js的版本

nvm uninstall 14.17.0


 

  • 9
    点赞
  • 8
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值